Skip to main content

NameCheck

POST 

/core-payments/v2/accounts/namecheck

NameCheck Version

This page relates to the version of NameCheck API which includes Confirmation of Payee (launched October 2026).

Checks whether the supplied account name matches the account. Supports Account Types: bankAccount.

The checks performed, and the results that can be returned, depend on the scopes granted to the client:

Scopes grantedChecks performedPossible results
payments:namecheck:readNameCheckMatch, Close Match, No Match, Unavailable
payments:cop:readConfirmation of Payee (CoP)Match, Close Match, No Match, Account Closed, Unavailable
BothNameCheck and CoP, combined into a single resultMatch, Close Match, No Match, Account Closed, Unavailable

Request​

Responses​

OK

Result Codes

CodeDescription
MatchThe account name matches the intended recipient
Close MatchThe account details are similar but not an exact match
No MatchThe account details do not match the intended recipient
Account ClosedThe account is closed or no longer valid
UnavailableWe couldn't verify the account at this time
Response Headers
    Content-Language